/*
 * porttcp.h
 *
 *  Created on: 23.08.2010
 *      Author: les
 */

#ifndef PORTTCP_H_
#define PORTTCP_H_

#include <stdbool.h>

/*================================================================================================*/
#ifndef UIP_APPCALL
#define UIP_APPCALL portmbtcp_appcall
#endif
/*================================================================================================*/

/*================================================================================================*/
typedef struct portmbtcp
    {
    int dummy;
    } uip_tcp_appstate_t;
/*================================================================================================*/

/*================================================================================================*/
void mbtcp_poll(void);
void portmbtcp_appcall(void);
/*================================================================================================*/

/*================================================================================================*/
extern bool g_tcp_poll_expired;
/*================================================================================================*/

#endif /* PORTTCP_H_ */
